clc
SigStruct = ConstructDefaultSignalStruct();
Signal = GenerateSignal(SigStruct);
[SignalAmp, NoiseAmp, TimeAxis] = GenerateSignalValues(Signal,1/20e7);
PlotSignal_Time(SignalAmp, NoiseAmp, TimeAxis,1);
PlotSignal_Freq(SignalAmp, NoiseAmp, TimeAxis,2);